/*
 * Copyright (c) 2005 Brian Tarricone <bjt23@cornell.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License ONLY.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __TRANSD__H__
#define __TRANSD__H__

#include <X11/Xlib.h>
#include <glib.h>

G_BEGIN_DECLS

typedef struct _Transd Transd;

Transd *transd_new(Display *dpy);
void transd_window_mapped(Transd *transd,
                          XMapEvent *xev);
void transd_property_changed(Transd *transd,
                             XPropertyEvent *xev);
void transd_free(Transd *transd);

G_END_DECLS

#endif  /* __TRANSD__H__ */
